### Method

# Pango FontDescription set_style

#### Declaration [src]

    void
    pango_font_description_set_style (
      PangoFontDescription* desc,
      PangoStyle style
    )

#### Description [src]

Sets the style field of a `PangoFontDescription`.

The `PangoStyle` enumeration describes whether the font is slanted and the manner in which it is slanted; it can be either `PANGO_STYLE_NORMAL`, `PANGO_STYLE_ITALIC`, or `PANGO_STYLE_OBLIQUE`.

Most fonts will either have a italic style or an oblique style, but not both, and font matching in Pango will match italic specifications with oblique fonts and vice-versa if an exact match is not found.

#### Parameters

`style`

  Type: `PangoStyle`

  The style for the font description.